Difference between revisions of "Draft Line/it"

From FreeCAD Documentation
Jump to navigation Jump to search
(Created page with "Lo strumento Linea può essere utilizzato nelle macro e dalla console Python utilizzando la seguente funzione:")
Line 55: Line 55:
 
{{Emphasis|Vedere anche:}} [[Draft API/it|Draft API]] e [[FreeCAD Scripting Basics/it|Nozioni di base sugli script di FreeCAD]].
 
{{Emphasis|Vedere anche:}} [[Draft API/it|Draft API]] e [[FreeCAD Scripting Basics/it|Nozioni di base sugli script di FreeCAD]].
  
The Line tool can be used in [[macros]] and from the [[Python]] console by using the following function:
+
Lo strumento Linea può essere utilizzato nelle [[macros/it|macro]] e dalla console [[Python/it|Python]] utilizzando la seguente funzione:
 
{{Code|code=
 
{{Code|code=
 
Line = makeLine(p1, p2)
 
Line = makeLine(p1, p2)

Revision as of 07:44, 16 April 2019

Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎svenska • ‎čeština • ‎русский • ‎中文(中国大陆)‎
FreeCAD.png
Pagina successiva: Polilinea Draft Wire.svg Arrow-right.svg

Draft Line.svg Linea

Posizione nel menu
Draft → Linea
Ambiente
Draft, Architettura
Avvio veloce
L I
Introdotto nella versione
0.7
Vedere anche
DWire, Punto

Descrizione

Crea un segmento tra due punti nel piano di lavoro corrente. Il segmento assume il tipo di linea e il colore impostati in precedenza nella Barra dei comandi Draft Tray. Lo strumento Linea si comporta esattamente come lo strumento DWire di Draft, tranne che si disattiva dopo che sono stati definiti due punti.

Draft Line example.jpg

Linea creata da due punti

Utilizzo

  1. Premere il pulsante Draft Line.svg Linea o premere i tasti L e I
  2. Fare clic su un primo punto nella vista 3D, o digitare le sue coordinate e premere il pulsante Draft AddPoint.svg aggiungi punto.
  3. Fare clic su un secondo punto nella vista 3D, o digitare le sue coordinate e premere il pulsante Draft AddPoint.svg aggiungi punto.

La linea può essere modificato facendo doppio clic sull'elemento nella vista ad albero o premendo il pulsante Draft Edit.svg Modifica. Quindi si può spostare il punto centrale in una nuova posizione.

Unire le singole linee

Se sono selezionate più linee collegati, esse possono essere fuse in una polilinea premendo lo strumento Draft Upgrade.svg Upgrade, ma questa polilinea non sarà modificabile. Per creare una polilinea modificabile, usare Draft Upgrade.svg Upgrade altre tre volte sulle nuove forme (contorno, contorno chiuso, faccia). Si possono anche fondere le linee originali con lo strumento Draft Wire.svg Polilinea.

Una polilinea può anche essere creata da una singola linea aggiungendo un altro punto ovunque lungo la sua lunghezza. Per fare ciò, premere il pulsante Draft AddPoint.svg aggiungi punto, e fare clic in qualsiasi punto della linea.

Opzioni

  • Premere X, Y o Z e muovere il puntatore nell'area grafica dopo il primo punto per vincolare il secondo punto su uno specifico asse. In questo caso rimane attivo solo il campo corrispondente all'asse selezionato e in esso è mostrata la posizione corrente del cursore.
  • Per inserire le coordinate manualmente, è sufficiente inserire il loro valore, poi premere Invio per ogni componente X, Y e Z. In questo caso è bene tenere il puntatore del mouse fuori dall'area di lavoro in quanto un suo movimento accidentale cattura e inserisce nel campo di input le coordinate a cui si trova e costringe a ripetere l'inserimento.
  • Premere R oppure fare clic sulla casella di controllo per selezionare o deselezionare la modalità Relativo. In modalità Relativo, le coordinate del secondo punto sono relative al primo. In caso contrario, sono assolute, a partire dal punto di origine (0,0,0).
  • Premere T oppure fare clic sulla casella di controllo per selezionare o deselezionare la modalità Continua. In modalità Continua, al termine dell'operazione, lo strumento Linea si riavvia automaticamente e permette di disegnare un nuovo segmento senza dover ripetere il comando. I diversi segmenti costruiti in questo modo sono oggetti indipendenti, a differenza di quelli costruiti con DWire che sono invece parte di una unica polilinea.
  • Premere Ctrl mentre si disegna per ancorare il proprio punto al punto agganciabile più vicino, indipendentemente dalla distanza.
  • Premere Maiusc mentre si disegna per vincolare orizzontalmente o verticalmente il secondo punto rispetto al primo.
  • Premere Ctrl+Z o premere il pulsante Draft UndoLine.png Annulla per annullare l'ultimo punto inserito. Questa opzione permette di annullare a ritroso tutti punti inseriti.
  • Premere Esc o premere il pulsante Cancella per uscire dal comando Linea attivo.
  • Se sono selezionate diverse Linee Draft connesse, esse possono essere trasformate in una unica polilinea premendo il pulsante Promuovi.

Proprietà

Un oggetto Linea condivide tutte le proprietà di una Polilinea, tuttavia solo alcune di queste proprietà sono applicabili alla Linee.

Dati

  • DataStart: specifica il punto di partenza.
  • DataEnd: specifica il punto finale.
  • DataSubdivisions: specifica il numero di nodi interni nella linea. Disponibile dalla versione 0.16
  • DataLength: (sola lettura) specifica la lunghezza del segmento.

Vista

  • ViewEnd Arrow: se è true verrà visualizzato un simbolo nell'ultimo punto della linea, quindi può essere usata come una linea di annotazione.
  • ViewArrow Size: specifica la dimensione del simbolo visualizzato alla fine della linea.
  • ViewArrow Type: specifica il tipo di simbolo visualizzato alla fine della linea, che può essere "Dot", "Circle", "Arrow", o "Tick" ("Punto", "Cerchio", "Freccia", o "Tratto").

Script

Vedere anche: Draft API e Nozioni di base sugli script di FreeCAD.

Lo strumento Linea può essere utilizzato nelle macro e dalla console Python utilizzando la seguente funzione:

Line = makeLine(p1, p2)
Line = makeLine(LineSegment)
Line = makeLine(Shape)
  • Crea un oggetto Linea tra i punti p1 e p2, ciascuno definito come un FreeCAD.Vector
  • Crea un oggetto Linea da un Part.LineSegment
  • Crea un oggetto Linea dal primo vertice all'ultimo vertice della Shape data
  • Usa lo stile di linea corrente

Esempio:

import FreeCAD, Draft

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(1000, 500, 0)
p3 = FreeCAD.Vector(-250, -500, 0)
p4 = FreeCAD.Vector(500, 1000, 0)

Line1 = Draft.makeLine(p1, p2)
Line2 = Draft.makeLine(p3, p4)
FreeCAD.png
Pagina successiva: Polilinea Draft Wire.svg Arrow-right.svg